Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class Loader

    java.lang.Object
      org.apache.log4j.helpers.Loader

    public class Loader

extends java.lang.Object

Load resources (or images) from various sources.

Author:
  Ceki Gülcü

Constructor Summary
`Loader()`

Method Summary
`static java.net.URL` | `getResource(java.lang.String resource)` This method will search for `resource` in different places.
`static java.net.URL` | `getResource(java.lang.String resource, java.lang.Class clazz)` Deprecated. as of 1.2.
`static boolean` | `isJava1()` Are we running under JDK 1.x?
`static java.lang.Class` | `loadClass(java.lang.String clazz)` If running under JDK 1.2 load the specified class using the `Thread` `contextClassLoader` if that fails try Class.forname.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Loader

    public Loader()

Method Detail

### getResource

    public static java.net.URL getResource(java.lang.String resource,
                                           java.lang.Class clazz)

  Deprecated. as of 1.2.

  Get a resource by delegating to getResource(String).

  Parameters:
    `resource` - resource name
    `clazz` - class, ignored.
  Returns:
    URL to resource or null.

### getResource

    public static java.net.URL getResource(java.lang.String resource)

  This method will search for `resource` in different places. The search order is as follows:

  1. Search for `resource` using the thread context class loader under Java2. If that fails, search for `resource` using the class loader that loaded this class (`Loader`). Under JDK 1.1, only the the class loader that loaded this class (`Loader`) is used.

  2. Try one last time with `ClassLoader.getSystemResource(resource)`, that is is using the system class loader in JDK 1.2 and virtual machine's built-in class loader in JDK 1.1.

### isJava1

    public static boolean isJava1()

  Are we running under JDK 1.x?

### loadClass

    public static java.lang.Class loadClass(java.lang.String clazz)
                                     throws java.lang.ClassNotFoundException

  If running under JDK 1.2 load the specified class using the `Thread` `contextClassLoader` if that fails try Class.forname. Under JDK 1.1 only Class.forName is used.

  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.